# GB.Raise

`int GB.Raise ( void * object , int event_id , int nparam , ... )`

This functions raises an event.

- object is the object that raises the event.
- event_id is the event index that identifies the event.
- nparam is the number of arguments sent to the event handler.

After the nparam argument, you must pass the event handler arguments in order.

You must pass first the type of the argument, by using a `GB_T_*` constant, and then the value of the argument. Then you repeat this process for each argument.

This table describes what you can pass as event handler argument, and how to do it.

The function returns a non-zero value to indicate that the event has been canceled by the event handler.

Example :

      // Here is how the QT component sends a keyboard event.

      drop = GB.Raise(control, event_id, 3,
               GB_T_STRING, TO_UTF8(kevent->text()), 0,
               GB_T_INTEGER, kevent->key(),
               GB_T_INTEGER, kevent->state());

Argument